%define tarball xf86-video-sis
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

%define with_dri	1

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Xorg X11 sis video driver
Name:      	xorg-x11-drv-sis
Version:   	0.9.4
Release:   	1
URL:       	http://www.x.org
License:   	MIT/X11
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   	sis.xinf

ExclusiveArch: 	%{ix86} x86_64

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-server-sdk
%if %{with_dri}
BuildRequires: 	mesa-libGL-devel
BuildRequires: 	libdrm-devel
%endif

Requires:  	xorg-x11-server-Xorg
Obsoletes:	Xdriver-sis-dri

%description 
X.Org X11 sis video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/sis_drv.so
%{_datadir}/hwdata/videoaliases/sis.xinf
#%dir %{_mandir}/man4x
%{_mandir}/man4/sis.4*

%changelog
* Sat Nov 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.4-1
- version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.3-2
- rebuilt against X.org 7.3
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.3-1
- version update
* Sun Sep 17 2006 Christian Metzen <metzench@ccux-linux.de> 0.9.1-1
- Initial release
